<?php
namespace Util\Instance;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Util\InstanceProvider;


class Repository {

    /** @return  Repository */
    public static function getInstance()
    {
        return new static();
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\Licencauso */
    public function getLicencauso()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\Licencauso');
    }

    /** @return  \Zeedhi\DevOps\Model\Profile\Repositories\ZhUser */
    public function getZhUser()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Profile\Entities\ZhUser');
    }

    /** @return  \Zeedhi\DevOps\Model\Projectmanagement\Repositories\Resource */
    public function getResource()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Resource');
    }

    /** @return  \Zeedhi\DevOps\Model\Projectmanagement\Repositories\Repository */
    public function getRepository()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Repository');
    }

    /** @return  \Zeedhi\DevOps\Model\Projectmanagement\Repositories\Comments */
    public function getComments()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Comments');
    }

    /** @return  \Teknisa\Model\Crm\Repositories\Sistema' */
    public function getSistema()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Crm\Entities\Sistema');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\Moticont' */
    public function getMoticont()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\Moticont');
    }

    /** @return  \Teknisa\Model\Geral\Repositories\Operador */
    public function getOperador()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Geral\Entities\Operador');
    }

    /** @return  \Teknisa\Model\Crm\Repositories\Contato */
    public static function getContato()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Crm\Entities\Contato');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\Soliserv */
    public function getSoliserv()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\Soliserv');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\Slacliente */
    public static function getSlacliente()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\Slacliente');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\SlaclienteParam */
    public static function getSlaclienteParam()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\SlaclienteParam');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\CpCall */
    public static function getCpCall()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\CpCall');
    }

    /** @return  \Zeedhi\DevOps\Model\Projectmanagement\Repositories\Budget */
    public function getBudget()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Budget');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\CpCustomerPreferences */
    public function getCpCustomerPreferences()
    {
        return InstanceProvider::getEntityManager()->getRepository('Teknisa\Model\Teknisa\Entities\CpCustomerPreferences');
    }


    /** @return  \Teknisa\Model\Teknisa\Repositories\CpCallComment */
    public static function getCpCallComment()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\CpCallComment');
    }

    /** @return  \Teknisa\Model\Comissaria\Repositories\Prodarvoreprod */
    public function getProdarvoreprod()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Comissaria\Entities\Prodarvoreprod');
    }

    /** @return  \Teknisa\Model\Geral\Repositories\Cliente */
    public function getCliente()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Geral\Entities\Cliente');
    }


    /** @return  \Zeedhi\DevOps\Model\Projectmanagement\Repositories\Task */
    public function getTask()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Task');
    }

    /** @return  \Teknisa\Model\Avaliacao\Repositories\Assunto */
    public function getAssunto()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Avaliacao\Entities\Assunto');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\OmProdutoElemento */
    public function getOmProdutoElemento()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\OmProdutoElemento');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\OmProdutoRepositorio */
    public function getOmProdutoRepositorio()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\OmProdutoRepositorio');
    }

    /** @return  \Zeedhi\DevOps\Model\Devops\Repositories\ProductVersion */
    public function getProductVersion()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Devops\Entities\ProductVersion');
    }

    /** @return  \Zeedhi\DevOps\Model\Devops\Repositories\ProductVersionProducts */
    public function getProductVersionProducts()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Devops\Entities\ProductVersionProducts');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\Product */
    public function getProduct()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\Product');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\Deploy */
    public function getDeploy()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\Deploy');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\Deploy */
    public function getDeployPackage()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\DeployPackage');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\DeployRepository */
    public function getDeployRepository()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\DeployRepository');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\DeployProducts */
    public function getDeployProducts()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\DeployProducts');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\OmProduto */
    public function getOmProduto()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\OmProduto');
    }

    /** @return  \Teknisa\Model\Geral\Repositories\Parcnegocio */
    public function getParcnegocio()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Geral\Entities\Parcnegocio');
    }

    /** @return  \Teknisa\Model\Geral\Repositories\Organizacao */
    public function getOrganizacao()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Geral\Entities\Organizacao');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\OmParamOrg' */
    public function getOmParamOrg()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\OmParamOrg');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\Versaoobjeto */
    public function getVersaoobjeto()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\Versaoobjeto');
    }

    /** @return \Teknisa\Model\Crm\Repositories\Pararelatione */
    public function getPararelatione()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Crm\Entities\Pararelatione');
    }

    /** @return  \Teknisa\Model\Geral\Repositories\Paramgeral */
    public function getParamGeral()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Geral\Entities\Paramgeral');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\OmProdutoOrgVersao */
    public function getOmProdutoOrgVersao()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\OmProdutoOrgVersao');
    }

    /** @return  \Teknisa\Model\Financeiro\Repositories\Contareceber */
    public static function getContareceber()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Financeiro\Entities\Contareceber');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\MtDesignEstrutura */
    public static function getMtDesignEstrutura()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Teknisa\Model\Teknisa\Entities\MtDesignEstrutura');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\DeployStep */
    public function getDeployStep()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\DeployStep');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\DeployStepServer */
    public function getDeployStepServer()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\DeployStepServer');
    }

    /** @return  \Zeedhi\DevOps\Model\Configurationmanager\Repositories\DeployStepSrvDeploy */
    public function getDeployStepDeploy()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Configurationmanager\Entities\DeployStepSrvDeploy');
    }

    /** @return  \Teknisa\Model\Teknisa\Repositories\Linpluso */
    public function getLinpuso()
    {
        return InstanceProvider::getEntityManager()->getRepository('Teknisa\Model\Teknisa\Entities\Linpluso');
    }

    /** @return  \Zeedhi\DevOps\Model\Projectmanagement\Repositories\TaskRelationship */
    public function getTaskRelationship()
    {
        return InstanceProvider::getEntityManager()->getRepository('\Zeedhi\DevOps\Model\Projectmanagement\Entities\TaskRelationship');
    }
}
